Socket Sentry

Plasma 4 Widgets

Source (link to git-repo or to original if based on someone elses unmodified work): Add the source-code for this project on opencode.net

9
Score 70.0%
Description:

Socket Sentry is a KDE Plasma widget that displays real-time network traffic on your Linux computer. It shows you which processes are communicating with which hosts, current data transfer rates, protocols, and more. Socket Sentry combines the best parts of tools like iftop and netstat in a modern desktop interface that's approachable and easy-to-use.

Features:

* Monitor one or all network devices in each widget
* See over 10 different stats and other characteristics of each connection
* View all connections individually or group by host and process/program
* Sort by any column with secondary sorting by transfer rate
* Quick search box helps you find specific connections
* Optional hostname lookup with configurable subdomain depth
* Customizable filter rules using the pcap expression language
* IPv6 support
* Efficient data sharing across widgets to minimize resource use
* Configurable security for multiuser PCs

It's the right tool to answer all kinds of questions about the software running on your computer. For example:

* How many connections is my download manager using? What's the throughput of each?
* What programs on my computer are phoning home? How often?
* How much bandwidth does my streaming radio service consume if I leave it open?
* What programs are the biggest bandwidth hogs?
* Which video site delivers the best throughput?
* Does my browser keep talking to the web server after the page is loaded?
* My program seems frozen. Is it communicating on the network?
* Is someone connected to my SSH/Samba/FTP/CUPS/Web/Other server right now?
* The network printer won't print. Is the job being sent to it?

Visit the http://code.google.com/p/socket-sentry for more details and screenshots.
Last changelog:

9 years ago

For a full rundown of changes including issues fixed, see the CHANGELOG.

Release 0.9.3
=============
* Added package support for Kubuntu 10.04 and openSUSE 11.3.
* Added an option to hide the quick search and freeze sort controls for a more compact display.
* Added the ability to add the widget to the system tray.

Release 0.9.2
=============
* Changed process owner username lookups to be asynchronous with cached results. This reduces network chatter on systems with remote user databases (e.g. LDAP).
* Improved popup handling so the popup window stays open until explicitly dismissed.
* The applet now prompts for a device when the default ("any") pseudo-device is not found.
* Fixed a bug that caused the applet to display an error when IPv6 is disabled.
* Minor improvements to the build process.

Release 0.9.1
=============
First public release.

g10k

5 years ago

nice work :)works very well! But I get kernel messages flood: "Use CAP_NET_ADMIN and alias netdev- instead".

Report

g10k

5 years ago

I resolved, socket-sentry was not the cause of warnings.
:)

Report

juank202

9 years ago

I have the following error :

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
PCAP

thanks for your help

Report

C

rhasselbaum

9 years ago

You must have the libpcap development files installed on your system in order to build Socket Sentry.

Report

juank202

9 years ago

Hello, you are all right, thanks very much!

Report

nufrix

9 years ago

Hi,

i try to install this plasmoid on Debian Squeeze/testing 64bit with KDE 4.4.5. During the instalation occured an error. The library kdebase-workspace-libs4+5 is missing, but this package is no more in debian repository* (it's not a part of KDE SC), 'cause it's to old. Can you please fix it, so your plasmoid will work with newer version of KDE?

* http://packages.debian.org/changelogs/pool/main/k/kdebase-workspace/kdebase-workspace_4.4.5-1/changelog

Report

C

rhasselbaum

9 years ago

Are you attempting to install from the DEB packages? Those are only tested on Kubuntu, and at the moment, the same DEB package supports both Karmic and Lucid. For Debian, I would recommend building from source.

Report

nufrix

9 years ago

Gr8, it works. I had to install akonadi (libakonadi-dev) and kdepim (kdepimlibs5-dev) dev libs, but it works fine. Thx.

Report

nufrix

9 years ago

Yop, from .deb packages for Kubuntu 10.4. I'll try to install it from source.

Report

pixecs

9 years ago

Hello,

I'm using openSUSE 11.3 and Socket Sentry is looking very weird...
Changing color scheme from Personal Settings -> Appearance -> Colors has no effect in Socket Sentry main window.
Any ideas how to change background color?

Thanks,
Ciprian

preview -> http://www.imagebam.com/image/594f6191293490

Report

C

rhasselbaum

9 years ago

Socket Sentry gets its color palette from the current Plasma theme, not from the windows color scheme. Unfortunately, not all themes work equally well. Try a different theme like Oxygen, Air, Aya, Elegance, Glassified, etc.

Report

pixecs

9 years ago

I changed the background (and colors of plasmoid) to match my needs by replacing the content of CommunicationFlowTableView::updateStyle function with
Quote:
void CommunicationFlowTableView::updateStyle() {
QColor transparentColor(255, 255, 255, 32);
QColor textColor(255, 255, 255);
QPalette p = palette();
p.setColor( QPalette::Base, transparentColor );
p.setColor( QPalette::Background, transparentColor );
p.setColor( QPalette::Text, textColor );
setPalette(p);
}


Here is the result -> http://www.imagebam.com/image/03940091727469

Report

C

rhasselbaum

9 years ago

Looks nice. Although you might suffer some performance degradation because of the transparency. I'd be curious to know one way or the other.

Report

pixecs

9 years ago

I have compositing active and i don't see any performance penalty.

Report

pixecs

9 years ago

Thanks for answer, i will try another theme.

Report

hellblade

9 years ago

Great plasmoid. I was looking for something like that.

Just a couple of suggestions:
1. Make the list use the theme's transparent background, optionally.
2. Add columns for total downloaded and uploaded data.

Thanks mate. Keep up the great work you are doing!

Report

roignac

9 years ago

Compiled packages for Ubuntu 10.04 Lucid Lync can be found on https://launchpad.net/~roignac/+archive/ppa
or
sudo add-apt-repository ppa:roignac/ppa

Thanks for a helpful plasmoid!

Report

C

rhasselbaum

9 years ago

Hi roignac. Please note that the existing project repository works with Lucid, too. Instructions at http://code.google.com/p/socket-sentry/wiki/GetSoftware have details.

A separate Lucid repository is coming soon, although the only difference will be in the "branding". All code and dependencies are unchanged from Karmic. Thanks.

Report

roignac

9 years ago

Cool! Let the package in PPA be a temporary replacement for official repository.
Don't forget to add the link to official repo when it's done.

Report

google01103

9 years ago

PopUp not staying as described in changelog

Removed and re-added plasmoid but did not restart kde or computer - is this required for it to work?

running 9.2

Report

C

rhasselbaum

9 years ago

If you're upgrading, you will need to restart Plasma to activate the new version of the widget. You can do this by logging out and logging back in.

Report

google01103

9 years ago

removing the existing one, then adding the new one (9.2) did not help - why? Is this a plasmoid issue?

But restarting KDE did.

thanks,

Report

C

rhasselbaum

9 years ago

This is the case with all Plasmoids AFAIK. Once a widget's library has been loaded once in the current session, you need to restart Plasma in order for changes to it to take effect. (It's not usually necessary to restart all of KDE, though.)

Report

C

rhasselbaum

9 years ago

Or, more likely, this is the case with all compiled Plasmoids. Script-based ones might not require a Plasma restart.

Report

Krog

9 years ago

i receive an error: can't acces file /proc/net/tcp6

some info: my kernel is not built with support for ipv6, i just use ipv4

if i run the iftop, it works well

Report

9 years ago

For a full rundown of changes including issues fixed, see the CHANGELOG.

Release 0.9.3
=============
* Added package support for Kubuntu 10.04 and openSUSE 11.3.
* Added an option to hide the quick search and freeze sort controls for a more compact display.
* Added the ability to add the widget to the system tray.

Release 0.9.2
=============
* Changed process owner username lookups to be asynchronous with cached results. This reduces network chatter on systems with remote user databases (e.g. LDAP).
* Improved popup handling so the popup window stays open until explicitly dismissed.
* The applet now prompts for a device when the default ("any") pseudo-device is not found.
* Fixed a bug that caused the applet to display an error when IPv6 is disabled.
* Minor improvements to the build process.

Release 0.9.1
=============
First public release.

12345678910
4
product-maker laloch Jun 19 2012 9 excellent
product-maker e1nste1n Jul 11 2011 9 excellent
product-maker pohybel Nov 24 2010 9 excellent
product-maker deabru Sep 25 2010 9 excellent
product-maker Base: 4 x 5.0 Ratings
laloch
Jun 19 2012
opaflamme
Oct 16 2010
hellblade
Jun 19 2010
roignac
May 03 2010
ShadowBelmolve
Apr 06 2010
floorek
Mar 31 2010
hteles
Mar 30 2010
hash87
Mar 30 2010
Znurre
Mar 29 2010
File (click to download) Version Description Downloads Date Filesize DL OCS-Install MD5SUM
*Needs ocs-url or ocs-store to install things
Pling
0 Affiliates
Details
license
version
0.9.3
updated Aug 01 2010
added Mar 29 2010
downloads 24h
0
page views 24h 1